Component({
  properties: {
    list: Array,
    callback: Function
  },
  methods: {
    toDetail(e) {
      const {
        id
      } = e.currentTarget.dataset;
      this.triggerEvent('callback', id)
      wx.navigateTo({
        url: '/pages/index/message/detail?id=' + id,
      })
    }
  }
})